<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

session_start();

$page_title = "Display FB Page Timeline Feed on Website - PRO - Live Demo";
$fb_page_id = !empty($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "107786425949934";
?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <!-- Bootstrap CSS -->
	<link href="../libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">
	
	<!-- font awesome css -->
	<link rel="stylesheet" href="../libs/css/font-awesome-4.4.0/css/font-awesome.min.css">
	
	<!-- custom timeline CSS -->
	<style>
	.timeline {
		list-style: none;
		padding: 20px 0 20px;
		position: relative;
	}

	.timeline-heading{
		overflow:hidden;
	}
	
	.timeline:before {
		top: 0;
		bottom: 0;
		position: absolute;
		content: " ";
		width: 3px;
		background-color: #eeeeee;
		left: 50%;
		margin-left: -1.5px;
	}

	.timeline > li {
		margin-bottom: 20px;
		position: relative;
	}

	.timeline > li:before,
	.timeline > li:after {
		content: " ";
		display: table;
	}

	.timeline > li:after {
		clear: both;
	}

	.timeline > li:before,
	.timeline > li:after {
		content: " ";
		display: table;
	}

	.timeline > li:after {
		clear: both;
	}

	.timeline > li > .timeline-panel {
		width: 46%;
		float: left;
		border: 1px solid #d4d4d4;
		border-radius: 2px;
		padding: 20px;
		position: relative;
		-webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
		box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
	}

	.timeline > li > .timeline-panel:before {
		position: absolute;
		top: 26px;
		right: -15px;
		display: inline-block;
		border-top: 15px solid transparent;
		border-left: 15px solid #ccc;
		border-right: 0 solid #ccc;
		border-bottom: 15px solid transparent;
		content: " ";
	}

	.timeline > li > .timeline-panel:after {
		position: absolute;
		top: 27px;
		right: -14px;
		display: inline-block;
		border-top: 14px solid transparent;
		border-left: 14px solid #fff;
		border-right: 0 solid #fff;
		border-bottom: 14px solid transparent;
		content: " ";
	}

	.timeline > li > .timeline-badge {
		color: #fff;
		width: 50px;
		height: 50px;
		line-height: 50px;
		font-size: 1.4em;
		text-align: center;
		position: absolute;
		top: 16px;
		left: 50%;
		margin-left: -25px;
		background-color: #999999;
		z-index: 100;
		border-top-right-radius: 50%;
		border-top-left-radius: 50%;
		border-bottom-right-radius: 50%;
		border-bottom-left-radius: 50%;
	}

	.timeline > li.timeline-inverted > .timeline-panel {
		float: right;
	}

	.timeline > li.timeline-inverted > .timeline-panel:before {
		border-left-width: 0;
		border-right-width: 15px;
		left: -15px;
		right: auto;
	}

	.timeline > li.timeline-inverted > .timeline-panel:after {
		border-left-width: 0;
		border-right-width: 14px;
		left: -14px;
		right: auto;
	}

	.timeline-badge.primary {
		background-color: #2e6da4 !important;
	}

	.timeline-badge.success {
		background-color: #3f903f !important;
	}

	.timeline-badge.warning {
		background-color: #f0ad4e !important;
	}

	.timeline-badge.danger {
		background-color: #d9534f !important;
	}

	.timeline-badge.info {
		background-color: #5bc0de !important;
	}

	.timeline-title {
		margin-top: 0;
		color: inherit;
	}

	.timeline-body > p,
	.timeline-body > ul {
		margin-bottom: 0;
	}

	.timeline-body > p + p {
		margin-top: 5px;
	}

	@media (max-width: 767px) {
		ul.timeline:before {
			left: 40px;
		}

		ul.timeline > li > .timeline-panel {
			width: calc(100% - 90px);
			width: -moz-calc(100% - 90px);
			width: -webkit-calc(100% - 90px);
		}

		ul.timeline > li > .timeline-badge {
			left: 15px;
			margin-left: 0;
			top: 16px;
		}

		ul.timeline > li > .timeline-panel {
			float: right;
		}

		ul.timeline > li > .timeline-panel:before {
			border-left-width: 0;
			border-right-width: 15px;
			left: -15px;
			right: auto;
		}

		ul.timeline > li > .timeline-panel:after {
			border-left-width: 0;
			border-right-width: 14px;
			left: -14px;
			right: auto;
		}
	}
	
	/* defauto custom */
	.profile-info{
		overflow:hidden;
	}
	
	.profile-photo{
		float:left;
		margin:0 .5em 0 0;
	}
	
	.profile-photo img{
		width:40px; height:40px;
	}
	
	.profile-name{
		float:left;
		width:85%;
	}
	
	.time-ago{
		color:#999;
	}
	
	.profile-message{
		margin:1em 0;
	}
	
	.post-link{
		text-decoration:none;
	}
	
	.post-content{
		background: #f6f7f9; border: 1px solid #d3dae8; overflow:hidden;
	}
	
	.post-content img{
		width:100%;
	}
	
	.post-status{
		margin:.5em; font-weight:bold;
	}
	
	.post-picture{
		width:25%; float:left; margin:.5em;
	}
	
	.post-info{
		width:65%; float:left; margin:.5em;
	}
	
	.post-info-name{
		font-weight:bold;
	}
	
	.post-message{
		margin:.8em 0;
	}
	
	.post-info-description{
		color:#999;
	}
	
	.like-icon {
		background-image: url('../images/fb-sprite.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: -146px -514px;
		height: 15px;
		width: 13px;
		display:block;
		float:left;
		margin: 2px 5px 0 0;
	}
	
	.comment-icon {
		background-image: url('../images/fb-sprite.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: -160px -514px;
		height: 15px;
		width: 13px;
		display:block;
		float:left;
		margin: 3px 5px 0 0;
		
	}
	
	.glyphicon{
		top:3px; left:1px;
	}
	</style>
	<!-- END custom timeline CSS -->
	
</head>
<body>
<!-- pre-load loader images -->
<img src='../images/ajax-loader-like-comment.gif' style='display:none;' />
<img src='../images/ajax-loader.gif' style='display:none;' />

<div class="container">
    <div class="page-header">
        <h1 id="timeline">Timeline View - Display FB Page Timeline Feed on Website</h1>
    </div>
    <ul class="timeline">
		<?php 
			// used for getting mentions, etc.
			include "../libs/php/util.php";
			$util=new Util();

			// start getting fb feeds
			$profile_photo_src = "https://graph.facebook.com/{$fb_page_id}/picture?type=square";
			$access_token = "128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
			$fields = "id,message,picture,link,name,description,type,icon,created_time,from,object_id,story,likes.limit(0).summary(true),comments.limit(0).summary(true)";
			$limit = 20;
			
			$json_link = "https://graph.facebook.com/{$fb_page_id}/feed?access_token={$access_token}&fields={$fields}&limit={$limit}";
			$json = @file_get_contents($json_link);

			if($json===FALSE) {
				die("Unable to get data.");
			}
			
			else{
				$obj = json_decode($json, true);
				$feed_item_count = count($obj['data']);

				$next_page = $obj['paging']['next'];
				$_SESSION['NEXT_PAGE_' . $fb_page_id]=$next_page;
				$_SESSION['SET_NUM_' . $fb_page_id]=1;
				$_SESSION['profile_photo_src_' . $fb_page_id]=$profile_photo_src;
				
				$first_load=true;
				include_once 'items_template.php';
				
				echo "<div id='last_item_loader' style='text-align:center;'></div>";
			}
		?>
    </ul>
</div>

<!-- jQuery library -->
<script src="../libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="../libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="../libs/js/bootstrap/docs-assets/js/holder.js"></script>
 
<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<!-- linkify -->
<script src="../libs/js/jquery.linkify.min.js"></script>

<script>
$(document).ready(function(){

	$('.profile-message').linkify();
	
	$(document).on('click', '.like-count-sum', function(){
		
		// load likers and commenters		
		var pid=$(this).attr('pid');
		
		var show_elem=$(this).closest('li').find('.like-count-data');
		
		if(show_elem.is(":visible")) {
			// hide it
			show_elem.hide();
		}
		
		else{
			// show it
			show_elem.html("<img src='../images/ajax-loader-like-comment.gif' />");
			show_elem.show();
			
			$.post('likes_comments.php', { 
				post_id: pid
			}, function(data){
				show_elem.html(data);
				$('p').linkify();
			});
		}
		
	});
});
</script>

</body>
</html>